Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eltima.chart
Class Tick

    java.lang.Object
      com.eltima.chart.Tick

All Implemented Interfaces:
  java.io.Serializable

    public class Tick

extends java.lang.Object
implements java.io.Serializable

The Tick class.

Copyright: Copyright (c) 2000-2007

Company: Eltima Software

Version:
  5.1
Author:
  [SoftInfinity Dpt.]
See Also:
  Serialized Form

Field Summary
`static int` | `CROSS`
`static int` | `INSIDE`
`static int` | `NONE`
`static int` | `OUTSIDE`

Constructor Summary
`Tick()` Creates new instance of Tick.
`Tick(int type, int length, int weight, java.awt.Color color)` Creates new instance of Tick with specified type, length, weigth and color.

Method Summary
`java.awt.Color` | `getColor()` Returns the tick color.
`int` | `getLength()` Returns the tick length.
`int` | `getType()` Returns the tick type.
`int` | `getWeight()` Returns the tick weight.
`void` | `setColor(java.awt.Color c)` Sets the tick color.
`void` | `setLength(int length)` Sets the tick length.
`void` | `setType(int type)` Sets the tick type.
`void` | `setWeight(int weight)` Sets the tick weight.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final int NONE

See Also:
  Constant Field Values

### OUTSIDE

    public static final int OUTSIDE

See Also:
  Constant Field Values

### INSIDE

    public static final int INSIDE

See Also:
  Constant Field Values

### CROSS

    public static final int CROSS

See Also:
  Constant Field Values

Constructor Detail

### Tick

    public Tick()

  Creates new instance of Tick.

### Tick

    public Tick(int type,
                int length,
                int weight,
                java.awt.Color color)

  Creates new instance of Tick with specified type, length, weigth and color.

  Parameters:
    `type` - int
    `length` - int
    `weight` - int
    `color` - Color

Method Detail

### getType

    public int getType()

  Returns the tick type.

  Returns:
    int

### setType

    public void setType(int type)

  Sets the tick type.

  Parameters:
    `type` - int

### getLength

    public int getLength()

  Returns the tick length.

  Returns:
    int

### setLength

    public void setLength(int length)

  Sets the tick length.

  Parameters:
    `length` - int

### getWeight

    public int getWeight()

  Returns the tick weight.

  Returns:
    int

### setWeight

    public void setWeight(int weight)

  Sets the tick weight.

  Parameters:
    `weight` - int

### getColor

    public java.awt.Color getColor()

  Returns the tick color.

  Returns:
    Color

### setColor

    public void setColor(java.awt.Color c)

  Sets the tick color.

  Parameters:
    `c` - Color

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Eltima Software. All Rights Reserved.